#!/usr/bin/php
<?php

define('N',"\n");

use function mysqli_real_escape_string as myesc;

function mexit($msg,$code) {
	echo($msg);
	exit($code);
}

$iniarr=@parse_ini_file(__DIR__.'/../../conf/mustard.ini')
	or mexit('Impossibile aprire il file di configurazione.'.N,1);
$link=mysqli_connect($iniarr['db_host'],$iniarr['db_admin_name'],$iniarr['db_admin_password'],$iniarr['db_name'],$iniarr['db_port'],$iniarr['db_socket'])
	or mexit('Impossibile connettersi al database: '.mysqli_connect_error().' ['.mysqli_connect_errno().']'.N,1);
mysqli_set_charset($link,'utf8mb4');

$res=mysqli_query($link,'SELECT * FROM ZStats');
$hpage;
while ($row=mysqli_fetch_assoc($res)) {
	$hpage=preg_replace(array('#instancesancesances#','#contributeuteute#'),array('instances','contribute'),$row['HitsPage']);
	echo($hpage.N);
	mysqli_query($link,"UPDATE `ZStats` SET HitsPage='".$hpage."' WHERE TS=".$row['TS']);
}

mysqli_close($link);

exit(0);

?>
